Page MenuHomePhabricator

[Task] Don't fail when running job mediawiki-extensions-qunit with Wikidata
Closed, ResolvedPublic

Description

This requires also adding it to mediawiki-extensions-qunit which is currently failing for Wikidata:
https://integration.wikimedia.org/ci/job/mediawiki-extensions-qunit/19035/consoleFull

@adrianheine said that these are probably the same failures that happen in Wikidata related qunit tests when UniversalLanguageSelector is enabled.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseJavaScriptApi : masterAdded compatibility with DataValues JavaScript 0.8.0
mediawiki/extensions/Wikibase : masterSet QUnit.config.requireExpects to true
data-values/value-view : masterAdded compatibility with DataValues JavaScript 0.8.0

Event Timeline

JanZerebecki raised the priority of this task from to Medium.
JanZerebecki updated the task description. (Show Details)
aude moved this task from Backlog to Doing on the Wikidata-Sprint-2015-12-01 board.Dec 4 2015, 4:57 PM

Ok, this is about something completely different, and if I'd have bothered to actually look I'd have seen it. core's QUnit test runner requires all test cases to state how many assertions they expect; Wikibase's does not, and so we didn't specify it in most of our tests. I'll prepare patches.

thiemowmde added a subscriber: thiemowmde.

https://github.com/wmde/WikibaseDataModelJavaScript/pull/36 is merged. Does this need a release? Probably yes.

How can I check if this fixes all errors?

By commenting on a change in Wikidata with: check experimental

This won't fix all errors, we need to do the same for all JS repos.

By commenting on a change in Wikidata with: check experimental

If you meant Wikibase, this does not work currently. Maybe jobs got re-deployed?

Change 263353 had a related patch set uploaded (by Adrian Lang):
[DNM] Set QUnit.config.requireExpects to true

https://gerrit.wikimedia.org/r/263353

Change 266700 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Added compatibility with DataValues JavaScript 0.8.0

https://gerrit.wikimedia.org/r/266700

Change 266700 merged by jenkins-bot:
Added compatibility with DataValues JavaScript 0.8.0

https://gerrit.wikimedia.org/r/266700

Change 266718 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Added compatibility with DataValues JavaScript 0.8.0

https://gerrit.wikimedia.org/r/266718

Change 266718 merged by jenkins-bot:
Added compatibility with DataValues JavaScript 0.8.0

https://gerrit.wikimedia.org/r/266718

Change 263353 merged by jenkins-bot:
Set QUnit.config.requireExpects to true

https://gerrit.wikimedia.org/r/263353

Jonas renamed this task from don't fail when running job mediawiki-extensions-qunit with Wikidata to [Task] Don't fail when running job mediawiki-extensions-qunit with Wikidata.Jan 27 2016, 2:32 PM
Jonas assigned this task to thiemowmde.
Jonas moved this task from Backlog to Review on the Wikidata-Sprint-2016-01-19 board.

By commenting on a change in Wikidata with: check experimental

If you meant Wikibase, this does not work currently. Maybe jobs got re-deployed?

No I meant Wikidata, as Wikibase needs composer, but there is no composer variant of those jobs.

Wikidata build with all changes and the mentioned experimental run: https://gerrit.wikimedia.org/r/#/c/266990/

JanZerebecki closed this task as Resolved.Jan 28 2016, 6:22 AM